Bug 848113 - Allow to run an discovery scan upon successful operation completion
Allow to run an discovery scan upon successful operation completion
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: JON 3.1.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 828329
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-08-14 12:14 EDT by Stefan Negrea
Modified: 2013-09-03 11:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 828329
Environment:
Last Closed: 2013-09-03 11:03:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-08-14 12:14:14 EDT
+++ This bug was initially created as a clone of Bug #828329 +++

When e.g. a user deploys a file to a as7-domain deployment and then uses the 
operation "deploy to server group", the resulting deployment on server group 
level will only be visible after the next discovery scan, which can be hours 
away.

We should offer to trigger a discovery scan on successful completion of an 
operation, like we do after create child resources.
This could be triggered by an attribute on the <operation> element, which is 
only read by the agent plugin container.

--- Additional comment from snegrea@redhat.com on 2012-06-26 15:49:13 EDT ---

Here is another use case where this problem is more obvious:
1) Install EAP6 Standalone (NO manual configuration to setup RHQ user)
2) Discover and inventory the EAP6 server
3) Run "Install RHQ user" operation on the EAP6 server
4) Check server availability and browser sub-resources


Expected Result:
Server becomes available, and all the sub-services are discovered immediately.

Actual Result:
The server becomes available however, no sub-resources are discovered immediately. All sub-resources will be discovered when the next discovery process runs.


This can give the wrong impression that the EAP6 server is not inventoried correctly since the next discovery process could run 24 hours after the server is configured to work with RHQ.

--- Additional comment from ccrouch@redhat.com on 2012-07-30 12:47:14 EDT ---

*** Bug 844219 has been marked as a duplicate of this bug. ***

--- Additional comment from ccrouch@redhat.com on 2012-07-30 12:48:48 EDT ---

Stefan, can you comment on where your investigation went with this.

--- Additional comment from jsanda@redhat.com on 2012-08-02 14:52:11 EDT ---

JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942

--- Additional comment from jsanda@redhat.com on 2012-08-02 21:14:48 EDT ---

Moving back to ON_DEV. This was incorrectly moved to ON_QA in comment 4.
Comment 1 Stefan Negrea 2012-08-14 12:31:51 EDT
Added the feature to start discovery scans from a resource context. The code executes a service scan for children of the resource linked to the resource context.
Comment 3 John Sanda 2012-08-22 01:44:24 EDT
Moving to ON_QA. The JON 3.1.1 ER3 build is available at https://brewweb.devel.redhat.com/buildinfo?buildID=230321.
Comment 4 Armine Hovsepyan 2012-08-23 04:38:49 EDT
verified!
Comment 5 Heiko W. Rupp 2013-09-03 11:03:37 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.